org.apache.hc.client5.http.async

## Interface AsyncExecChainHandler

All Known Implementing Classes:
  AsyncConnectExec, AsyncHttpRequestRetryExec, AsyncProtocolExec, AsyncRedirectExec, H2AsyncMainClientExec

    @Contract(threading=STATELESS)
    public interface AsyncExecChainHandler

Abstract request execution handler in an asynchronous client side request execution chain. Handlers can either be a decorator around another element that implements a cross cutting aspect or a self-contained executor capable of producing a response for the given request.

Since:
  5.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `execute(HttpRequest request, AsyncEntityProducer entityProducer, AsyncExecChain.Scope scope, AsyncExecChain chain, AsyncExecCallback asyncExecCallback)` Executes the actual HTTP request.

### Method Detail

#### execute

    void execute(HttpRequest request,
                 AsyncEntityProducer entityProducer,
                 AsyncExecChain.Scope scope,
                 AsyncExecChain chain,
                 AsyncExecCallback asyncExecCallback)
          throws HttpException,
                 IOException

Executes the actual HTTP request. The handler can choose to return a response message immediately inside the call or asynchronously at some later point or delegate request execution to the next element in the execution chain.

Parameters:
  `request` - the actual request.
  `entityProducer` - the request entity producer or `null` if the request does not enclose an entity.
  `scope` - the execution scope .
  `chain` - the next element in the request execution chain.
  `asyncExecCallback` - the execution callback.
Throws:
  `HttpException`
  `IOException`